Update Minecraft 1.12 and some more news!

Discussion in 'News' started by MichelDeStar, Jun 7, 2017.

  1. MichelDeStar

    MichelDeStar Founder Staff Member Founder Owner

    Joined:
    Oct 15, 2014
    Messages:
    328
    Likes Received:
    2
    Ratings:
    +418 / 18
    Dear players,

    Today, Minecraft version 1.12 has been released, which added some novelties like Concrete. Of course, we are trying our very best to implement this new version as soon as possible, but until then we will have to suffice with a solution that makes it possible to join 1.11 servers with a 1.12 client. Naturally, it is very possible that bugs may occur. Hence, in case you encounter a bug, please report this to the Staff Team!

    I also put a new beta Skywars online today. In this one too, it is possible that bugs may occur. If this is the case, please report this to the staff members so a solution can be found.

    The new Skywars is an updated version of the old 2015 Skywars. Therefore, this Skywars utilises the old PvP system in a so far decently working Skywars minigame.

    If you encounter problems somewhere, please report this to a member of staff. We will then make sure these are solved as quickly as possible.

    Update: We have decided to support on all our gamemodes version 1.8 till 1.12, except KitPvP that one supports 1.9-1.12.

    Best regards,
    Michel
     
    • Like Like x 1
    • Winner Winner x 1
    #1
    Last edited: Jun 8, 2017
  2. Mineshadow12345 [Kirito]

    Mineshadow12345 [Kirito] Active Member Registered

    Joined:
    Nov 5, 2014
    Messages:
    1,936
    Likes Received:
    6
    Ratings:
    +386 / 31
    This is just amazing, i love seeing this, but you could also try doing the same thing you done for skywars to vintagepvp.
    Update: Nvm didin't see it all updated.
    The last thing that's needed is that lobby delay issue fixed, somehow it kinda decreased while using 1.8
    For Kitpvp maybe it can be 1.9-1.12?
     
    #2
  3. MichelDeStar

    MichelDeStar Founder Staff Member Founder Owner

    Joined:
    Oct 15, 2014
    Messages:
    328
    Likes Received:
    2
    Ratings:
    +418 / 18
    What do you mean with lobby delay? When I joined with 1.8 I noticed it was not as long.
    KitPvP now also supports 1.9-1.12.
     
    #3
  4. Mineshadow12345 [Kirito]

    Mineshadow12345 [Kirito] Active Member Registered

    Joined:
    Nov 5, 2014
    Messages:
    1,936
    Likes Received:
    6
    Ratings:
    +386 / 31
    Many players complain that they have a hard time getting into the lobby, this is really frequent with low bandwidth connection users, they will be stuck on a downloading terrain screen, this does not happen back in the old hc lobby/version and other server lobbies.
     
    #4
  5. Drollings

    Drollings Moderator Staff Member Moderator

    Joined:
    Oct 28, 2014
    Messages:
    211
    Likes Received:
    3
    Ratings:
    +158 / 11
    Basically a temporary fix for this is to add more time before you get the 'login timeout' kick.
     
    #5
  6. AndreFilipePT

    AndreFilipePT New Member Registered

    Joined:
    Sep 3, 2016
    Messages:
    7
    Likes Received:
    0
    Ratings:
    +2 / 0
    Great news , but with an 1.8 survival I still won't be able to have my old constructions that I use to have on 1.8 .... (Like my castle) which is not very positive. Same issue that happen to many other players.! Or you guys saved the plugin of the map of survival 1.8 so the survival map changes whenever a player logs in to version 1.8? I am confused... I just need help on knowing the correct response related to this issue
     
    #6
    Last edited: Jun 8, 2017
  7. MichelDeStar

    MichelDeStar Founder Staff Member Founder Owner

    Joined:
    Oct 15, 2014
    Messages:
    328
    Likes Received:
    2
    Ratings:
    +418 / 18
    People only can join the server using Minecraft 1.8, the server is the same as it was 2 days before, which is running at 1.11.2. So that has nothing to do with your constructions.
     
    #7
  8. AndreFilipePT

    AndreFilipePT New Member Registered

    Joined:
    Sep 3, 2016
    Messages:
    7
    Likes Received:
    0
    Ratings:
    +2 / 0
    Mine and other peoples constructions ! Thank you for letting me know Michel , I was really confused about this issue.
     
    #8
  9. BlackOps050

    BlackOps050 Member Registered

    Joined:
    Jun 1, 2016
    Messages:
    371
    Likes Received:
    1
    Ratings:
    +54 / 44
    #9
  10. Mineshadow12345 [Kirito]

    Mineshadow12345 [Kirito] Active Member Registered

    Joined:
    Nov 5, 2014
    Messages:
    1,936
    Likes Received:
    6
    Ratings:
    +386 / 31
    It would be 1.12 with support for 1.8-1.12, just like how its now servers with version 1.11.2 and 1.8-1.12 support. [ Skywars is probably 1.12 ]
     
    #10
  11. BlackOps050

    BlackOps050 Member Registered

    Joined:
    Jun 1, 2016
    Messages:
    371
    Likes Received:
    1
    Ratings:
    +54 / 44
    dude i wrote a side note! XD i mean to add the features of 1.12 that mean make it 1.12 only, plus the server have tons of bugs with 1.8 players there is a bug with lighting skeletons knight's horses that if you try to put a saddle in them in 1.8 it won't let you do it and if a 1.11.2 player put a saddle in it the 1.8 won't see the saddle, and if he ride it he can't move too and if he logged off the horse will disappear so survival will better to be 1.11 and 1.12 only or 1.12 only to prevent this bugs
     
    #11
  12. BlackOps050

    BlackOps050 Member Registered

    Joined:
    Jun 1, 2016
    Messages:
    371
    Likes Received:
    1
    Ratings:
    +54 / 44
  13. Lastyoda

    Lastyoda Member Registered

    Joined:
    Jul 2, 2015
    Messages:
    217
    Likes Received:
    0
    Ratings:
    +121 / 17
    Survival already has 1.12 support, it is the choice of the player if he wants to use <1.12
     
    #13
  14. Mineshadow12345 [Kirito]

    Mineshadow12345 [Kirito] Active Member Registered

    Joined:
    Nov 5, 2014
    Messages:
    1,936
    Likes Received:
    6
    Ratings:
    +386 / 31
    With all them bugs it's best just to be on the same version as server+ besides, its better that way.
     
    #14
  15. BlackOps050

    BlackOps050 Member Registered

    Joined:
    Jun 1, 2016
    Messages:
    371
    Likes Received:
    1
    Ratings:
    +54 / 44
    1.12 is added but without it features, I WANT PARROTS! XD
     
    #15
  16. DarkMan

    DarkMan New Member Registered

    Joined:
    Jul 4, 2017
    Messages:
    4
    Likes Received:
    0
    Ratings:
    +0 / 4
    Sir, i think you should add a youtube forum app because i wanna get The YT Rank For Making a vid to this cool server
     
    • Dislike Dislike x 1
    #16

Share This Page